EDIT - bug #4295

map services should respond with appropriate http status code
08/04/2014 12:17 PM - Andreas Kohlbecker

Status: New Start date:
Priority: New Due date:
Assignee: Franck Theeten % Done: 0%
Category: geotools - map service Estimated time: 0:00 hour
Target version: Geo RESTServices - Next Major
Release
Severity: normal Found in Version:
Description

The edit map service should respond with appropriate http status codes. For example the following request misses the as query
parameter therefore the service should respond with HTP status code 400.

http://edit.africamuseum.be/edit_wp5/vi/areas.php?l=tdwgi&legend=1&mlp=3&title=b:native|a:foreign|c:rare|d:unknown&ad=tdwg4:c
:MXEDU|b:MXETA|tdwg3:a:MXC,CUB|b:MXE ,MXG|c:MXS , MXT&ms=500&bbox=-115,6.78,-75.19,29.8&recalculate=false

split of from #664 (Error messages for map web services implemented)

History

#1 - 01/20/2021 08:21 PM - Andreas Miiller
- Description updated

- Target version set to Geo RESTServices - Next Major Release

#2 - 01/21/2021 07:42 AM - Andreas Kohlbecker
- Tags set to map
- Description updated

- Private changed from Yes to No
